Get Collection Customers
curl --request GET \
--url https://api.obiex.finance/v1/collections/customers/me \
--header 'x-api-key: <api-key>'import requests
url = "https://api.obiex.finance/v1/collections/customers/me"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.obiex.finance/v1/collections/customers/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Ok",
"data": [
{
"id": "9b1d6a3d-df3e-4e33-9f2b-1c2e3a9b6a11",
"createdAt": "2026-08-10T09:12:44.000Z",
"updatedAt": "2026-08-10T09:12:44.000Z",
"active": true,
"businessId": "51ec42a0-6c2f-4435-86ed-fa7bae079a57",
"firstName": "Ada",
"lastName": "Okafor",
"bvn": "22212345678",
"nin": "11198765432"
}
],
"meta": {
"perPage": 30,
"currentPage": 1,
"totalPages": 1,
"count": 1,
"total": 1
}
}Business Collections
Get Collection Customers
Lists the customers you have collected payments from. Requires a Business account.
GET
/
collections
/
customers
/
me
Get Collection Customers
Authorizations
Headers
Query Parameters
Response
200 - application/json
Successful response
The response is of type object.
Was this page helpful?
⌘I